import { generateRandomArray, measureTime, isSort } from "../util/index.mjs";
import { shellSort } from "./shell-sort.mjs";
import {insertionSort } from "./insertion-sort.mjs"
import { bubbleSort } from "./bubble-sort.mjs"

let arr = generateRandomArray(10000)
let arr2 = arr.slice()
let arr3 = arr.slice()

measureTime(bubbleSort,arr)
measureTime(insertionSort,arr2)
measureTime(shellSort,arr3)
console.log(isSort(arr));
console.log(isSort(arr2));
console.log(isSort(arr3));